Page MenuHomePhabricator

"Title::newFromTitle: $text must be a string" from PrefixSearch
Closed, ResolvedPublic

Description

Warning: Title::newFromTitle: $text must be a string
from
PrefixSearch::searchWithVariants/PrefixSearch::search/PrefixSearch::searchBackend/PrefixSearch::defaultSearchBackend/Title::newFromText

About 200 hits per day in Logstash channel for T76305.

Event Timeline

Krinkle created this task.Aug 23 2015, 1:04 PM
Krinkle raised the priority of this task from to Needs Triage.
Krinkle updated the task description. (Show Details)
Krinkle added subscribers: Krenair, Aklapper, Reedy.
Restricted Application added a project: Discovery. · View Herald TranscriptAug 23 2015, 1:04 PM
demon triaged this task as Normal priority.Aug 24 2015, 3:19 AM

Change 235675 had a related patch set uploaded (by Chad):
PrefixSearch: Avoid passing non-strings to Title::newFromText()

https://gerrit.wikimedia.org/r/235675

Change 235675 merged by jenkins-bot:
PrefixSearch: Avoid passing non-strings to Title::newFromText()

https://gerrit.wikimedia.org/r/235675

Krenair closed this task as Resolved.Sep 3 2015, 3:41 PM
Krenair claimed this task.
Krenair reassigned this task from Krenair to demon.
Krenair set Security to None.